using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ScoringPage : MonoBehaviour
{
    [SerializeField] private List<PlayerSticker> playerStickers;

    public void Initialize(Room _room)
    {
        gameObject.SetActive(true);
        foreach(PlayerSticker p in playerStickers)
        {
            p.gameObject.SetActive(false);
        }

        gameObject.SetActive(true);
        Player[] players = _room.GetOrderedPlayerList().ToArray();
        for (int i = 0; i < players.Length; i++)
        {
            playerStickers[i].gameObject.SetActive(true);
            playerStickers[i].Initialize(players[i].name, i);
        }
    }
}
